PDBFileParser (BioJava-1.5-beta API)
Keywords: org.biojava.bio.structure.io.PDBFileParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure.io
Class PDBFileParser

    java.lang.Object
      org.biojava.bio.structure.io.PDBFileParser

    public class PDBFileParser

extends Object

A PDB file parser.

Since:
  1.4

  Q: How can I get a Structure object from a PDB file?

  A:

       String filename =  "path/to/pdbfile.ent" ;

       PDBFileReader pdbreader = new PDBFileReader();

       try{
           Structure struc = pdbreader.getStructure(filename);
           System.out.println(struc);
       } catch (Exception e) {
           e.printStackTrace();
       }

Author:
  Andreas Prlic

Constructor Summary
`PDBFileParser()`

Method Summary
`Character` | `convert_3code_1code(String code3)` convert three character amino acid codes into single character e.g.
`protected String` | `getTimeStamp()` Returns a time stamp.
`Structure` | `parsePDBFile(BufferedReader buf)` parse a PDB file and return a datastructure implementing PDBStructure interface.
`Structure` | `parsePDBFile(InputStream inStream)` parse a PDB file and return a datastructure implementing PDBStructure interface.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDBFileParser

    public PDBFileParser()

Method Detail

### getTimeStamp

    protected String getTimeStamp()

  Returns a time stamp.

  Returns:
    a String representing the time stamp value

### convert_3code_1code

    public Character convert_3code_1code(String code3)
                                  throws IllegalSymbolException

  convert three character amino acid codes into single character e.g. convert CYS to C

  Parameters:
    `code3` - a three character amino acid representation String
  Returns:
    a character
  Throws:
    `IllegalSymbolException`

### parsePDBFile

    public Structure parsePDBFile(InputStream inStream)
                           throws IOException

  parse a PDB file and return a datastructure implementing PDBStructure interface.

  Parameters:
    `inStream` - an InputStream object
  Returns:
    a Structure object
  Throws:
    `IOException`

### parsePDBFile

    public Structure parsePDBFile(BufferedReader buf)
                           throws IOException

  parse a PDB file and return a datastructure implementing PDBStructure interface.

  Parameters:
    `buf` - a BufferedReader object
  Returns:
    the Structure object
  Throws:
    `IOException` - ...

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD